Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::CellRenderer. More...

`#include <xfc/gtk/cellrenderersignals.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererSignals:

List of all members.

## Public Member Functions

Signal Handlers

- void on_editing_canceled ()
    Called to notify a client program that an editing process was canceled and the changes were not committed.
- void on_editing_started (CellEditable *editable, const String &path)
    Called when a cell starts to be edited.

## Protected Member Functions

Constructors

- CellRendererSignals (CellRenderer *cell)
    Construct a new CellRendererSignals object.
- virtual ~CellRendererSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::CellRenderer.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererSignals::CellRendererSignals | ( | CellRenderer * | cell | ) | `[protected]`

Construct a new CellRendererSignals object.

Parameters:

  | cell | A CellRenderer object inheriting the CellRendererSignals implementation.

## Member Function Documentation

void Xfc::Gtk::CellRendererSignals::on_editing_started | ( | CellEditable * | editable,
|  | const String & | path
| ) |

Called when a cell starts to be edited.

Parameters:

  | editable | The CellEditable.
  | path | The path identifying the edited cell.

The indended use of this signal is to do special setup on editable, e.g. adding a Gtk::EntryCompletion or setting up additional columns in a Gtk::ComboBox. Note that GTK+ doesn't guarantee that cell renderers will continue to use the same kind of widget for editing in future releases, therefore you should check the type of editable before doing any specific setup, as in the following example:

                 void
                 MyClass::on_editing_started(CellEditable *editable, const String& path)
                 {
                     if (editable->is_a(GTK_TYPE_ENTRY))
                     {
                         Gtk::Entry *entry = dynamic_cast<Gtk::Entry*>(editable);
                         // create an entry completion
                         entry->set_completion(completion);
                     }
                 }

The documentation for this class was generated from the following file:

- cellrenderersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3